body {
  
  background: rgb(199, 241, 197);
  text-rendering: optimizeLegibility; 
  font-synthesis: none;
  -webkit-font-smoothing: antialiased;
  font-smooth: 5em;
  scroll-behavior: smooth;
  scrollbar-color: #ffffffb7;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  overflow: scroll;
}

  
  html {
    font-family: "New York";
    font-size: 106.25%;
    quotes: "“" "”";
    --sk-link-disabled-opacity: .42
  }
  
  
  
  nav {
    border-color: rgb(255, 255, 255);
    border-bottom-style: solid;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    font-family: "New York";
    background: rgba(181, 220, 180, 0.8);
    color: rgba(0, 0, 0, 0.03);
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(50px);
    z-index: 999;
  }
  
  .container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px;
  }
  
  .icons {
    display: flex;
    flex-direction: row;
    margin-left: 50px;
  }
  
  #total {
    color: #0f8500;
  }

  #total-main {
    color: #0f8500;
  }

  .icons button img {
    color: #0f8500;
    height: 15px;
    width: auto;
  }

  .icons button {
    background: none;
    border: none;
    border-radius: 10px;
    cursor: pointer;
  }

  .icons button:hover {
    background-color: rgba(38, 255, 0, 0.1);
  }

  .icons-hamburger {
    margin-left: 23px;
    margin-top: 13px;
    margin-bottom: 13px;
  }

  .icons-hamburger img {
    color: #0f8500;
    height: 23px;
    padding: 7px;
    width: auto;
  }

  .icons-hamburger button {
    border: none;
    background: none;
    cursor: pointer;
  }

  .hamburger-menu-content button:hover {
    background-color: rgba(38, 255, 0, 0.118);
    border-radius: 7px;
  }
  
  .dp-button {
    padding-left: 5px;
    padding-right: 5px;
    display: flex;
    align-items: center;
  }
  
  .dp-button button{
    border: none;
    display: contents;
    cursor: pointer;
  }
  .brand img {
    margin-right: 5px;
    max-width: 100px;
    height: auto;
    border-radius: 7px;
  
  }
  
  .menu {
    list-style: none;
    margin: 0;
    padding: 10px;
    display: flex;
    flex-direction: row;
    font-size:small;
    font-weight: 600;
  }
  
  .menu li {
    margin-left: 10px;
  }
  
  .menu li a {
    color: #0f8500;
    text-decoration: none;
    padding: 8px 12px;
    border-radius: 10px;
    font-family: "New York";
  }
  
  .menu li a:hover {
    background-color: rgba(38, 255, 0, 0.1);
  }
  
  .hamburger-menu {
    display: none;
    cursor: pointer;
    padding: 10px;
  }

  .hamburger-menu:hover {
    background-color: rgba(38, 255, 0, 0.1);
  }
  
  .line {
    width: 25px;
    height: 3px;
    background-color: #0f8500;
    margin: 5px 0;
  }

  
  
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(50px);
    /* Set the desired blur intensity */
    z-index: 998;
    /* Ensure the overlay appears below the menu */
    display: none;
  }
  
  .overlay.active {
    display: block;
  }
  
  .hamburger-menu-content {
    list-style: none;
    margin: 0;
    padding: 0;
    display: none;
    flex-direction: column;
    background-color:#b5dcb4;
    position: absolute;
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(50px);
    top: 100%;
    left: 0;
    width: 100%;
    padding: 10px;
    border-color: rgb(255, 255, 255);
    border-bottom-style: solid;
    
  }
  
  nav {
    margin-bottom: 10px; /* adjust as needed */
  }
  
  content {
    margin-top: 10px; /* adjust as needed */
  }
  
  .hamburger-menu-content li {
    margin-left: 20px;
    padding-bottom: 40px;
  }
  
  .hamburger-menu-content li button {
    color: #fff;
    text-decoration: none;
    padding: 8px 12px;
    border-radius: 10px;
    font-family: "New York";
  }

  .large-ah-spacer {
    height: 100px;
  }
  


  @media screen and (max-width: 480px) {
    .menu {
      display: flex;
    }
  
    .hamburger-menu {
      display: block;
    }
  
    .hamburger-menu:hover .line {
      background-color: #bbb;
    }
  
  }
  
  
  .hamburger-menu-content li a {
    color: #0f8500;
    text-decoration: none;
    padding: 8px 12px;
    border-radius: 10px;
    letter-spacing: -.03em;
    font-family: "New York Bold";
  }
  
  .hamburger-menu-content li a:hover {
    background-color: rgba(38, 255, 0, 0.1);
  }
  
  .hamburger-menu-content li a:focus {
    outline: none;
  }

.main {
  margin-top: 100pt;
}


        .product-grid {
            display: grid;
            place-items: center;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
            margin-bottom: 70px;
        }
        

        .product-card {
    background-color: #fff;
    border-radius: 10px; 
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    padding: 15px;
    text-align: center;
    display: flex; /* Added line */
    flex-direction: column; /* Added line */
    align-items: center; /* Added line */
    transition: transform 0.2s ease-in-out; 
}

        .product-card:hover {
            transform: translateY(-3px); 
        }

        .product-card img {
            max-width: 100%;
            height: auto;
            border-radius: 10px; 
        }

        .description {
            display: none; 
        }

        

        .show-more {
            background-color: #a6e22e; 
            color: white;
            height: 30px;
            border: none;
            cursor: pointer;
            border-radius: 5px;
            font-family: "New York Bold";
            font-weight: bold; 
        }

        .show-less {
            background-color: #a6e22e; 
            color: white;
            height: 30px;
            border: none;
            cursor: pointer;
            border-radius: 5px;
            font-family: "New York Bold";
            font-weight: bold; 
        }

        .add-to-cart {
            background-color: #8bc34a; /* A darker green */
            color: white;
            height: 30px;
            border: none;
            cursor: pointer;
            font-family: "New York Bold";
            font-weight: bold;
            border-radius: 5px; 
            margin-top: 10px;
        }

        h1 {
            text-align: center;
            margin-bottom: 20px;
        }

        .price {
            font-weight: bold;
            margin-bottom: 5px;
        }

        .description {
            margin-top: 10px;
        }

        

.remove-item {
    background-color: #8bc34a; /* A darker green */
            color: white;
            height: 30px;
            border: none;
            cursor: pointer;
            font-family: "New York Bold";
            font-weight: bold;
            border-radius: 5px; 
} 


#cart-container {
    list-style: none;
    margin: 0;
    padding: 0;
    flex-direction: column;
    background-color:#b5dcb4;
    position: absolute;
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(50px);
    top: 100%;
    left: 0;
    width: 100%;
    padding: 10px;
    border-color: rgb(255, 255, 255);
    border-bottom-style: solid;
    text-decoration: none;
    overflow-y: auto;
}

#cart-container h2{
  color: #0f8500;
}

.cart-container {
    color: #0f8500;
}

#cart-items li {
    color: #0f8500;
    text-decoration: none;
    list-style: none;
    border-radius: 10px;
    font-family: "New York";
    font-weight: bold;
    margin-bottom: 20px;
  }

  #total-main #total-mini {
    color: #0f8500;
  }


  #mini-cart-items li {
    color: #0f8500;
    text-decoration: none;
    list-style: none;
    border-radius: 10px;
    font-family: "New York";
    font-weight: bold;
  }

  .large-cart-container, .small-cart-container {
    display: none;
  }

  .floating-card {
  position: fixed;
  left: 10px;
  bottom: 10px;
  background-color: #fffbff; /* Soft, light background */
  padding: 15px;
  border-radius: 12px; /* More rounded corners */
  border-color: rgb(213, 213, 213);
  border-style: solid;
  box-shadow: 
      0 1px 2px rgba(0, 0, 0, 0.05), /* Ambient shadow */
      0 2px 5px rgba(0, 0, 0, 0.05), /* Key shadow */
      0 4px 8px rgba(0, 0, 0, 0.03);  /* For stronger elevation */
  display: flex; 
  align-items: center;
}

.floating-card h3 {
margin-top: -10px;
margin-bottom: -10px;
  font-family: "SF Pro", sans-serif; /* Material You font */
  color: rgba(255, 191, 0, 0.9); /* Slightly warmer orange */
  margin-right: 10px; 
  font-weight: 400;
  font-size: 32px; 
}

.floating-card p {
margin-top: -10px;
margin-bottom: -10px;
font-family: "New York";
  font-weight: 600; /* Medium font weight */
  color: rgba(0, 0, 0, 0.8); /* Slightly darker text */
} 


        @font-face {
  font-family: "SF Pro";
  src: url('../fonts/SF-Pro.ttf') format("truetype");
  font-style: normal;
  font-weight: normal;
}

  @font-face {
	font-family: "New York Bold";
	src: url('../fonts/NewYorkMedium-Bold.otf') format("opentype");
  font-style: normal;
  font-weight: bold;
}

@font-face {
  font-family: "New York";
  src: url('../fonts/NewYork.ttf');
  font-style: normal;
  font-weight: normal;
}